aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlistair Bush <ali_bush@gentoo.org>2007-01-24 05:45:13 +0000
committerAlistair Bush <ali_bush@gentoo.org>2007-01-24 05:45:13 +0000
commit3373e07ce2235012fb4ea0b95b0becd18a657167 (patch)
tree3beb2712254e7c5b9c5a421391c7fcfae47d9da9 /media-sound/tuxguitar
parentAdding ebuild created by Frittella to overlay see #144967 (diff)
downloadjava-3373e07ce2235012fb4ea0b95b0becd18a657167.tar.gz
java-3373e07ce2235012fb4ea0b95b0becd18a657167.tar.bz2
java-3373e07ce2235012fb4ea0b95b0becd18a657167.zip
Adding ebuild created by Frittella to overlay see #144967
svn path=/migrated-java-experimental-overlay/; revision=3594
Diffstat (limited to 'media-sound/tuxguitar')
-rw-r--r--media-sound/tuxguitar/Manifest8
-rw-r--r--media-sound/tuxguitar/files/digest-tuxguitar-0.8-r33
-rw-r--r--media-sound/tuxguitar/tuxguitar-0.8-r3.ebuild60
3 files changed, 71 insertions, 0 deletions
diff --git a/media-sound/tuxguitar/Manifest b/media-sound/tuxguitar/Manifest
new file mode 100644
index 00000000..f894cd1d
--- /dev/null
+++ b/media-sound/tuxguitar/Manifest
@@ -0,0 +1,8 @@
+DIST TuxGuitar-0.8-src.tar.gz 669503 RMD160 02c584505701e7391178fea9dbc8108b3215794e SHA1 6c2b7b6ca9bcdfb5bcf4d9882638df82bbd5a2ee SHA256 046f0457ebdda33dac96988887918b878bd7ef298e7797473bdbd731f00e4d5c
+EBUILD tuxguitar-0.8-r3.ebuild 1418 RMD160 0b64fe3d73a64a826f31c26eac5994f30a18bd4c SHA1 38abc3c21d5ec3bbfedcfb80f24284a53719bb6c SHA256 747869b6eee19bbc40120f2db8d63ef7eb050098d6da5e3bb1e79c0fe762e664
+MD5 025102b2fd6341515255a26223a5a2f0 tuxguitar-0.8-r3.ebuild 1418
+RMD160 0b64fe3d73a64a826f31c26eac5994f30a18bd4c tuxguitar-0.8-r3.ebuild 1418
+SHA256 747869b6eee19bbc40120f2db8d63ef7eb050098d6da5e3bb1e79c0fe762e664 tuxguitar-0.8-r3.ebuild 1418
+MD5 f5a78474b38544cb19f237ab396e18de files/digest-tuxguitar-0.8-r3 253
+RMD160 3e5ce8d80b08a72f95166c014700cd5a66eeedab files/digest-tuxguitar-0.8-r3 253
+SHA256 f7cfdf219998383db4abf73a451edba9b800ed517eaba1cd631b8bed8e50923e files/digest-tuxguitar-0.8-r3 253
diff --git a/media-sound/tuxguitar/files/digest-tuxguitar-0.8-r3 b/media-sound/tuxguitar/files/digest-tuxguitar-0.8-r3
new file mode 100644
index 00000000..f961378b
--- /dev/null
+++ b/media-sound/tuxguitar/files/digest-tuxguitar-0.8-r3
@@ -0,0 +1,3 @@
+MD5 1432d25ab4051accd63065ade4953c01 TuxGuitar-0.8-src.tar.gz 669503
+RMD160 02c584505701e7391178fea9dbc8108b3215794e TuxGuitar-0.8-src.tar.gz 669503
+SHA256 046f0457ebdda33dac96988887918b878bd7ef298e7797473bdbd731f00e4d5c TuxGuitar-0.8-src.tar.gz 669503
diff --git a/media-sound/tuxguitar/tuxguitar-0.8-r3.ebuild b/media-sound/tuxguitar/tuxguitar-0.8-r3.ebuild
new file mode 100644
index 00000000..0207bded
--- /dev/null
+++ b/media-sound/tuxguitar/tuxguitar-0.8-r3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="TuxGuitar is a multitrack guitar tablature editor and player written in Java-SWT, it can open GP3 and GP4 files"
+HOMEPAGE="http://www.herac.com.ar/soluciones/tuxguitar.htm"
+SRC_URI="mirror://sourceforge/${PN}/TuxGuitar-${PV}-src.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+
+KEYWORDS="~x86 ~amd64"
+
+RDEPEND="virtual/libc
+ || ( ( x11-libs/libXxf86vm
+ x11-libs/libXext
+ x11-libs/libX11
+ ) virtual/x11 )
+ >=virtual/jre-1.5
+ dev-java/swt
+ dev-java/itext"
+DEPEND=">=virtual/jdk-1.5
+ dev-java/ant-core
+ ${RDEPEND}"
+
+IUSE="source"
+
+S=${WORKDIR}/TuxGuitar-${PV}-src
+
+src_unpack() {
+ unpack ${A}
+
+ sed -i -e "s/lib\.itext\.jar=lib\/itext-.*/lib\.itext\.jar=lib\/itext\.jar/" ${S}/build.properties
+
+ cd ${S}/lib
+ java-pkg_jar-from swt-3
+ java-pkg_jar-from itext iText.jar itext.jar
+}
+
+src_compile() {
+ eant
+}
+
+src_install() {
+ java-pkg_dojar TuxGuitar.jar
+
+ use source && java-pkg_dosrc src/org
+
+ java-pkg_dolauncher ${PN} \
+ --main org.herac.tuxguitar.gui.TuxGuitar \
+ --java_args "-Xms128m -Xmx128m"
+
+ # Images and Files
+ cp -r share ${D}/usr/share/${PN}/lib
+
+ dodir /usr/share/pixmaps/
+ cp share/files/icon.png ${D}/usr/share/pixmaps/tuxguitar-icon.png
+ make_desktop_entry ${PN} TuxGuitar tuxguitar-icon.png
+}